<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_BalanceGeneralBean = new BalanceGeneralBean();

$o_BalanceGeneralBean->setIdSucursal($id);	
$o_BalanceGeneralBean->setFecha($Fecha);
$o_BalanceGeneralBean->setFechaFinal($Fecha);

$o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
$a_o_resumenDiario = $o_BalanceGeneralDP->select();

/*****************************************/


$pdf = new TCPDF('P', PDF_UNIT, PDF_PAGE_FORMAT, true); 
$pdf->AliasNbPages();
$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);
define("POS_IZQ", 5);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(200,4,'Lista de Balance General-Detalle',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,20);
/*fin de cabecera*/
$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',7);

if(is_array($a_o_resumenDiario)){
	foreach ($a_o_resumenDiario as $key => $o_resumenHeader) {
  	  $pdf->SetX(POS_IZQ);
  	  $pdf->Cell(40,4,'Nombre',1,0,'L',1);
      $pdf->Cell(140,4,$o_resumenHeader->getNombreSucursal(),1,1,'L',1);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(40,4,'Fecha',1,0,'L',1);
      $pdf->Cell(140,4,$o_resumenHeader->getFecha(),1,1,'L',1);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(40,4,utf8_encode('Descripcion'),1,0,'L',1);
      $pdf->Cell(140,4,utf8_encode($o_resumenHeader->getDescripcion()),1,1,'L',1);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(40,4,'Total',1,0,'L',1);
      $pdf->Cell(140,4,$o_resumenHeader->getTotal(),1,1,'L',1);
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(40,4,'U.Creacion',1,0,'L',1);
      $pdf->Cell(140,4,$o_resumenHeader->getUsuarioCreacion(),1,1,'L',1);      
      $pdf->SetX(POS_IZQ);
      $pdf->Cell(40,4,utf8_encode('Fecha Creación'),1,0,'L',1);
      $pdf->Cell(140,4,$o_resumenHeader->getFechaCreacion(),1,1,'L',1);      
     
  }  
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);

}

$pdf->Output();

?>